Bug 947680 - Bogus dependency on "seavgabios" in qemu-1.4.0-7.fc19
Summary: Bogus dependency on "seavgabios" in qemu-1.4.0-7.fc19
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qemu
Version: 19
Hardware: All
OS: All
unspecified
urgent
Target Milestone: ---
Assignee: Fedora Virtualization Maintainers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On:
Blocks: F19Alpha, F19AlphaBlocker
TreeView+ depends on / blocked
 
Reported: 2013-04-03 01:47 UTC by Adam Williamson
Modified: 2013-04-20 19:53 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-05 03:43:15 UTC


Attachments (Terms of Use)

Description Adam Williamson 2013-04-03 01:47:39 UTC
qemu-system-x86-1.4.0-7.fc19 has a bogus dependency on a non-existent package 'seavgabios'. This was quickly corrected with the 1.4.0-8.fc19 build, but unfortunately, -7 just slipped under the wire before the switch to Bodhi, but -8 did not. So we're stuck with the busted -7 in the F19 repos at present. I will submit an update for -8 to get it into updates-testing ASAP.

This is an automatic blocker:

https://fedoraproject.org/wiki/QA:SOP_blocker_bug_process#Automatic_blockers

as it breaks the dependencies on the DVD (qemu is in the DVD package set). "Unresolved dependencies on the DVD image"

Comment 1 Fedora Update System 2013-04-03 01:50:13 UTC
qemu-1.4.0-8.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/qemu-1.4.0-8.fc19

Comment 2 Richard W.M. Jones 2013-04-03 09:54:49 UTC
(In reply to comment #0)
> qemu-system-x86-1.4.0-7.fc19 has a bogus dependency on a non-existent
> package 'seavgabios'. This was quickly corrected with the 1.4.0-8.fc19
> build, but unfortunately, -7 just slipped under the wire before the switch
> to Bodhi, but -8 did not. So we're stuck with the busted -7 in the F19 repos
> at present. I will submit an update for -8 to get it into updates-testing
> ASAP.

I did a build-override of the -8 package last night so I could
build libguestfs.

> This is an automatic blocker:
> 
> https://fedoraproject.org/wiki/QA:SOP_blocker_bug_process#Automatic_blockers
> 
> as it breaks the dependencies on the DVD (qemu is in the DVD package set).
> "Unresolved dependencies on the DVD image"

Why is qemu on the DVD??

Comment 3 Richard W.M. Jones 2013-04-03 09:55:19 UTC
Ah DVD, not live CD, makes a bit more sense.

Comment 4 Cole Robinson 2013-04-03 14:08:29 UTC
Sorry about that, thanks for taking care of it Adam.

Comment 5 Fedora Update System 2013-04-03 16:08:10 UTC
Package qemu-1.4.0-8.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qemu-1.4.0-8.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-4750/qemu-1.4.0-8.fc19
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2013-04-04 01:51:32 UTC
qemu-1.4.0-10.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/qemu-1.4.0-10.fc19

Comment 7 Fedora Update System 2013-04-05 03:43:18 UTC
qemu-1.4.0-8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2013-04-20 19:53:16 UTC
qemu-1.4.0-10.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.